extends StaticBody2D

func _ready():
	QuestManager.questCompleted.connect(drainingCheck)
	drainingCheck()

func drainingCheck():
	if SaveManager.get_save_value("juiceLakeRefilled", false):
		get_parent().get_node("JonaldHole").visible = true
		get_parent().get_node("JonaldHole").modulate.a = 0.25
	elif SaveManager.get_save_value("juiceLakeQuestComplete", false):
		get_parent().get_node("JonaldHole").visible = true
		queue_free()
